1. Packages
  2. Packages
  3. Azure Classic
  4. API Docs
  5. mssql
  6. ServerVulnerabilityAssessment

We recommend using Azure Native.

Viewing docs for Azure v4.42.0 (Older version)
published on Monday, Mar 9, 2026 by Pulumi
azure logo

We recommend using Azure Native.

Viewing docs for Azure v4.42.0 (Older version)
published on Monday, Mar 9, 2026 by Pulumi

    Manages the Vulnerability Assessment for a MS SQL Server.

    NOTE Vulnerability Assessment is currently only available for MS SQL databases.

    Example Usage

    using Pulumi;
    using Azure = Pulumi.Azure;
    
    class MyStack : Stack
    {
        public MyStack()
        {
            var exampleResourceGroup = new Azure.Core.ResourceGroup("exampleResourceGroup", new Azure.Core.ResourceGroupArgs
            {
                Location = "West Europe",
            });
            var exampleSqlServer = new Azure.Sql.SqlServer("exampleSqlServer", new Azure.Sql.SqlServerArgs
            {
                ResourceGroupName = exampleResourceGroup.Name,
                Location = exampleResourceGroup.Location,
                Version = "12.0",
                AdministratorLogin = "4dm1n157r470r",
                AdministratorLoginPassword = "4-v3ry-53cr37-p455w0rd",
            });
            var exampleAccount = new Azure.Storage.Account("exampleAccount", new Azure.Storage.AccountArgs
            {
                ResourceGroupName = exampleResourceGroup.Name,
                Location = exampleResourceGroup.Location,
                AccountTier = "Standard",
                AccountReplicationType = "GRS",
            });
            var exampleContainer = new Azure.Storage.Container("exampleContainer", new Azure.Storage.ContainerArgs
            {
                StorageAccountName = exampleAccount.Name,
                ContainerAccessType = "private",
            });
            var exampleServerSecurityAlertPolicy = new Azure.MSSql.ServerSecurityAlertPolicy("exampleServerSecurityAlertPolicy", new Azure.MSSql.ServerSecurityAlertPolicyArgs
            {
                ResourceGroupName = exampleResourceGroup.Name,
                ServerName = exampleSqlServer.Name,
                State = "Enabled",
            });
            var exampleServerVulnerabilityAssessment = new Azure.MSSql.ServerVulnerabilityAssessment("exampleServerVulnerabilityAssessment", new Azure.MSSql.ServerVulnerabilityAssessmentArgs
            {
                ServerSecurityAlertPolicyId = exampleServerSecurityAlertPolicy.Id,
                StorageContainerPath = Output.Tuple(exampleAccount.PrimaryBlobEndpoint, exampleContainer.Name).Apply(values =>
                {
                    var primaryBlobEndpoint = values.Item1;
                    var name = values.Item2;
                    return $"{primaryBlobEndpoint}{name}/";
                }),
                StorageAccountAccessKey = exampleAccount.PrimaryAccessKey,
                RecurringScans = new Azure.MSSql.Inputs.ServerVulnerabilityAssessmentRecurringScansArgs
                {
                    Enabled = true,
                    EmailSubscriptionAdmins = true,
                    Emails = 
                    {
                        "email@example1.com",
                        "email@example2.com",
                    },
                },
            });
        }
    
    }
    
    package main
    
    import (
    	"fmt"
    
    	"github.com/pulumi/pulumi-azure/sdk/v4/go/azure/core"
    	"github.com/pulumi/pulumi-azure/sdk/v4/go/azure/mssql"
    	"github.com/pulumi/pulumi-azure/sdk/v4/go/azure/sql"
    	"github.com/pulumi/pulumi-azure/sdk/v4/go/azure/storage"
    	"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
    )
    
    func main() {
    	pulumi.Run(func(ctx *pulumi.Context) error {
    		exampleResourceGroup, err := core.NewResourceGroup(ctx, "exampleResourceGroup", &core.ResourceGroupArgs{
    			Location: pulumi.String("West Europe"),
    		})
    		if err != nil {
    			return err
    		}
    		exampleSqlServer, err := sql.NewSqlServer(ctx, "exampleSqlServer", &sql.SqlServerArgs{
    			ResourceGroupName:          exampleResourceGroup.Name,
    			Location:                   exampleResourceGroup.Location,
    			Version:                    pulumi.String("12.0"),
    			AdministratorLogin:         pulumi.String("4dm1n157r470r"),
    			AdministratorLoginPassword: pulumi.String("4-v3ry-53cr37-p455w0rd"),
    		})
    		if err != nil {
    			return err
    		}
    		exampleAccount, err := storage.NewAccount(ctx, "exampleAccount", &storage.AccountArgs{
    			ResourceGroupName:      exampleResourceGroup.Name,
    			Location:               exampleResourceGroup.Location,
    			AccountTier:            pulumi.String("Standard"),
    			AccountReplicationType: pulumi.String("GRS"),
    		})
    		if err != nil {
    			return err
    		}
    		exampleContainer, err := storage.NewContainer(ctx, "exampleContainer", &storage.ContainerArgs{
    			StorageAccountName:  exampleAccount.Name,
    			ContainerAccessType: pulumi.String("private"),
    		})
    		if err != nil {
    			return err
    		}
    		exampleServerSecurityAlertPolicy, err := mssql.NewServerSecurityAlertPolicy(ctx, "exampleServerSecurityAlertPolicy", &mssql.ServerSecurityAlertPolicyArgs{
    			ResourceGroupName: exampleResourceGroup.Name,
    			ServerName:        exampleSqlServer.Name,
    			State:             pulumi.String("Enabled"),
    		})
    		if err != nil {
    			return err
    		}
    		_, err = mssql.NewServerVulnerabilityAssessment(ctx, "exampleServerVulnerabilityAssessment", &mssql.ServerVulnerabilityAssessmentArgs{
    			ServerSecurityAlertPolicyId: exampleServerSecurityAlertPolicy.ID(),
    			StorageContainerPath: pulumi.All(exampleAccount.PrimaryBlobEndpoint, exampleContainer.Name).ApplyT(func(_args []interface{}) (string, error) {
    				primaryBlobEndpoint := _args[0].(string)
    				name := _args[1].(string)
    				return fmt.Sprintf("%v%v%v", primaryBlobEndpoint, name, "/"), nil
    			}).(pulumi.StringOutput),
    			StorageAccountAccessKey: exampleAccount.PrimaryAccessKey,
    			RecurringScans: &mssql.ServerVulnerabilityAssessmentRecurringScansArgs{
    				Enabled:                 pulumi.Bool(true),
    				EmailSubscriptionAdmins: pulumi.Bool(true),
    				Emails: pulumi.StringArray{
    					pulumi.String("email@example1.com"),
    					pulumi.String("email@example2.com"),
    				},
    			},
    		})
    		if err != nil {
    			return err
    		}
    		return nil
    	})
    }
    

    Example coming soon!

    import * as pulumi from "@pulumi/pulumi";
    import * as azure from "@pulumi/azure";
    
    const exampleResourceGroup = new azure.core.ResourceGroup("exampleResourceGroup", {location: "West Europe"});
    const exampleSqlServer = new azure.sql.SqlServer("exampleSqlServer", {
        resourceGroupName: exampleResourceGroup.name,
        location: exampleResourceGroup.location,
        version: "12.0",
        administratorLogin: "4dm1n157r470r",
        administratorLoginPassword: "4-v3ry-53cr37-p455w0rd",
    });
    const exampleAccount = new azure.storage.Account("exampleAccount", {
        resourceGroupName: exampleResourceGroup.name,
        location: exampleResourceGroup.location,
        accountTier: "Standard",
        accountReplicationType: "GRS",
    });
    const exampleContainer = new azure.storage.Container("exampleContainer", {
        storageAccountName: exampleAccount.name,
        containerAccessType: "private",
    });
    const exampleServerSecurityAlertPolicy = new azure.mssql.ServerSecurityAlertPolicy("exampleServerSecurityAlertPolicy", {
        resourceGroupName: exampleResourceGroup.name,
        serverName: exampleSqlServer.name,
        state: "Enabled",
    });
    const exampleServerVulnerabilityAssessment = new azure.mssql.ServerVulnerabilityAssessment("exampleServerVulnerabilityAssessment", {
        serverSecurityAlertPolicyId: exampleServerSecurityAlertPolicy.id,
        storageContainerPath: pulumi.interpolate`${exampleAccount.primaryBlobEndpoint}${exampleContainer.name}/`,
        storageAccountAccessKey: exampleAccount.primaryAccessKey,
        recurringScans: {
            enabled: true,
            emailSubscriptionAdmins: true,
            emails: [
                "email@example1.com",
                "email@example2.com",
            ],
        },
    });
    
    import pulumi
    import pulumi_azure as azure
    
    example_resource_group = azure.core.ResourceGroup("exampleResourceGroup", location="West Europe")
    example_sql_server = azure.sql.SqlServer("exampleSqlServer",
        resource_group_name=example_resource_group.name,
        location=example_resource_group.location,
        version="12.0",
        administrator_login="4dm1n157r470r",
        administrator_login_password="4-v3ry-53cr37-p455w0rd")
    example_account = azure.storage.Account("exampleAccount",
        resource_group_name=example_resource_group.name,
        location=example_resource_group.location,
        account_tier="Standard",
        account_replication_type="GRS")
    example_container = azure.storage.Container("exampleContainer",
        storage_account_name=example_account.name,
        container_access_type="private")
    example_server_security_alert_policy = azure.mssql.ServerSecurityAlertPolicy("exampleServerSecurityAlertPolicy",
        resource_group_name=example_resource_group.name,
        server_name=example_sql_server.name,
        state="Enabled")
    example_server_vulnerability_assessment = azure.mssql.ServerVulnerabilityAssessment("exampleServerVulnerabilityAssessment",
        server_security_alert_policy_id=example_server_security_alert_policy.id,
        storage_container_path=pulumi.Output.all(example_account.primary_blob_endpoint, example_container.name).apply(lambda primary_blob_endpoint, name: f"{primary_blob_endpoint}{name}/"),
        storage_account_access_key=example_account.primary_access_key,
        recurring_scans=azure.mssql.ServerVulnerabilityAssessmentRecurringScansArgs(
            enabled=True,
            email_subscription_admins=True,
            emails=[
                "email@example1.com",
                "email@example2.com",
            ],
        ))
    

    Example coming soon!

    Create ServerVulnerabilityAssessment Resource

    Resources are created with functions called constructors. To learn more about declaring and configuring resources, see Resources.

    Constructor syntax

    new ServerVulnerabilityAssessment(name: string, args: ServerVulnerabilityAssessmentArgs, opts?: CustomResourceOptions);
    @overload
    def ServerVulnerabilityAssessment(resource_name: str,
                                      args: ServerVulnerabilityAssessmentArgs,
                                      opts: Optional[ResourceOptions] = None)
    
    @overload
    def ServerVulnerabilityAssessment(resource_name: str,
                                      opts: Optional[ResourceOptions] = None,
                                      server_security_alert_policy_id: Optional[str] = None,
                                      storage_container_path: Optional[str] = None,
                                      recurring_scans: Optional[ServerVulnerabilityAssessmentRecurringScansArgs] = None,
                                      storage_account_access_key: Optional[str] = None,
                                      storage_container_sas_key: Optional[str] = None)
    func NewServerVulnerabilityAssessment(ctx *Context, name string, args ServerVulnerabilityAssessmentArgs, opts ...ResourceOption) (*ServerVulnerabilityAssessment, error)
    public ServerVulnerabilityAssessment(string name, ServerVulnerabilityAssessmentArgs args, CustomResourceOptions? opts = null)
    public ServerVulnerabilityAssessment(String name, ServerVulnerabilityAssessmentArgs args)
    public ServerVulnerabilityAssessment(String name, ServerVulnerabilityAssessmentArgs args, CustomResourceOptions options)
    
    type: azure:mssql:ServerVulnerabilityAssessment
    properties: # The arguments to resource properties.
    options: # Bag of options to control resource's behavior.
    
    

    Parameters

    name string
    The unique name of the resource.
    args ServerVulnerabilityAssessmentArgs
    The arguments to resource properties.
    opts CustomResourceOptions
    Bag of options to control resource's behavior.
    resource_name str
    The unique name of the resource.
    args ServerVulnerabilityAssessmentArgs
    The arguments to resource properties.
    opts ResourceOptions
    Bag of options to control resource's behavior.
    ctx Context
    Context object for the current deployment.
    name string
    The unique name of the resource.
    args ServerVulnerabilityAssessmentArgs
    The arguments to resource properties.
    opts ResourceOption
    Bag of options to control resource's behavior.
    name string
    The unique name of the resource.
    args ServerVulnerabilityAssessmentArgs
    The arguments to resource properties.
    opts CustomResourceOptions
    Bag of options to control resource's behavior.
    name String
    The unique name of the resource.
    args ServerVulnerabilityAssessmentArgs
    The arguments to resource properties.
    options CustomResourceOptions
    Bag of options to control resource's behavior.

    Constructor example

    The following reference example uses placeholder values for all input properties.

    var serverVulnerabilityAssessmentResource = new Azure.MSSql.ServerVulnerabilityAssessment("serverVulnerabilityAssessmentResource", new()
    {
        ServerSecurityAlertPolicyId = "string",
        StorageContainerPath = "string",
        RecurringScans = new Azure.MSSql.Inputs.ServerVulnerabilityAssessmentRecurringScansArgs
        {
            EmailSubscriptionAdmins = false,
            Emails = new[]
            {
                "string",
            },
            Enabled = false,
        },
        StorageAccountAccessKey = "string",
        StorageContainerSasKey = "string",
    });
    
    example, err := mssql.NewServerVulnerabilityAssessment(ctx, "serverVulnerabilityAssessmentResource", &mssql.ServerVulnerabilityAssessmentArgs{
    	ServerSecurityAlertPolicyId: pulumi.String("string"),
    	StorageContainerPath:        pulumi.String("string"),
    	RecurringScans: &mssql.ServerVulnerabilityAssessmentRecurringScansArgs{
    		EmailSubscriptionAdmins: pulumi.Bool(false),
    		Emails: pulumi.StringArray{
    			pulumi.String("string"),
    		},
    		Enabled: pulumi.Bool(false),
    	},
    	StorageAccountAccessKey: pulumi.String("string"),
    	StorageContainerSasKey:  pulumi.String("string"),
    })
    
    var serverVulnerabilityAssessmentResource = new com.pulumi.azure.mssql.ServerVulnerabilityAssessment("serverVulnerabilityAssessmentResource", com.pulumi.azure.mssql.ServerVulnerabilityAssessmentArgs.builder()
        .serverSecurityAlertPolicyId("string")
        .storageContainerPath("string")
        .recurringScans(ServerVulnerabilityAssessmentRecurringScansArgs.builder()
            .emailSubscriptionAdmins(false)
            .emails("string")
            .enabled(false)
            .build())
        .storageAccountAccessKey("string")
        .storageContainerSasKey("string")
        .build());
    
    server_vulnerability_assessment_resource = azure.mssql.ServerVulnerabilityAssessment("serverVulnerabilityAssessmentResource",
        server_security_alert_policy_id="string",
        storage_container_path="string",
        recurring_scans={
            "email_subscription_admins": False,
            "emails": ["string"],
            "enabled": False,
        },
        storage_account_access_key="string",
        storage_container_sas_key="string")
    
    const serverVulnerabilityAssessmentResource = new azure.mssql.ServerVulnerabilityAssessment("serverVulnerabilityAssessmentResource", {
        serverSecurityAlertPolicyId: "string",
        storageContainerPath: "string",
        recurringScans: {
            emailSubscriptionAdmins: false,
            emails: ["string"],
            enabled: false,
        },
        storageAccountAccessKey: "string",
        storageContainerSasKey: "string",
    });
    
    type: azure:mssql:ServerVulnerabilityAssessment
    properties:
        recurringScans:
            emailSubscriptionAdmins: false
            emails:
                - string
            enabled: false
        serverSecurityAlertPolicyId: string
        storageAccountAccessKey: string
        storageContainerPath: string
        storageContainerSasKey: string
    

    ServerVulnerabilityAssessment Resource Properties

    To learn more about resource properties and how to use them, see Inputs and Outputs in the Architecture and Concepts docs.

    Inputs

    In Python, inputs that are objects can be passed either as argument classes or as dictionary literals.

    The ServerVulnerabilityAssessment resource accepts the following input properties:

    ServerSecurityAlertPolicyId string
    The id of the security alert policy of the MS SQL Server. Changing this forces a new resource to be created.
    StorageContainerPath string
    A blob storage container path to hold the scan results (e.g. https://myStorage.blob.core.windows.net/VaScans/).
    RecurringScans ServerVulnerabilityAssessmentRecurringScans
    The recurring scans settings. The recurring_scans block supports fields documented below.
    StorageAccountAccessKey string
    Specifies the identifier key of the storage account for vulnerability assessment scan results. If storage_container_sas_key isn't specified, storage_account_access_key is required.
    StorageContainerSasKey string
    A shared access signature (SAS Key) that has write access to the blob container specified in storage_container_path parameter. If storage_account_access_key isn't specified, storage_container_sas_key is required.
    ServerSecurityAlertPolicyId string
    The id of the security alert policy of the MS SQL Server. Changing this forces a new resource to be created.
    StorageContainerPath string
    A blob storage container path to hold the scan results (e.g. https://myStorage.blob.core.windows.net/VaScans/).
    RecurringScans ServerVulnerabilityAssessmentRecurringScansArgs
    The recurring scans settings. The recurring_scans block supports fields documented below.
    StorageAccountAccessKey string
    Specifies the identifier key of the storage account for vulnerability assessment scan results. If storage_container_sas_key isn't specified, storage_account_access_key is required.
    StorageContainerSasKey string
    A shared access signature (SAS Key) that has write access to the blob container specified in storage_container_path parameter. If storage_account_access_key isn't specified, storage_container_sas_key is required.
    serverSecurityAlertPolicyId String
    The id of the security alert policy of the MS SQL Server. Changing this forces a new resource to be created.
    storageContainerPath String
    A blob storage container path to hold the scan results (e.g. https://myStorage.blob.core.windows.net/VaScans/).
    recurringScans ServerVulnerabilityAssessmentRecurringScans
    The recurring scans settings. The recurring_scans block supports fields documented below.
    storageAccountAccessKey String
    Specifies the identifier key of the storage account for vulnerability assessment scan results. If storage_container_sas_key isn't specified, storage_account_access_key is required.
    storageContainerSasKey String
    A shared access signature (SAS Key) that has write access to the blob container specified in storage_container_path parameter. If storage_account_access_key isn't specified, storage_container_sas_key is required.
    serverSecurityAlertPolicyId string
    The id of the security alert policy of the MS SQL Server. Changing this forces a new resource to be created.
    storageContainerPath string
    A blob storage container path to hold the scan results (e.g. https://myStorage.blob.core.windows.net/VaScans/).
    recurringScans ServerVulnerabilityAssessmentRecurringScans
    The recurring scans settings. The recurring_scans block supports fields documented below.
    storageAccountAccessKey string
    Specifies the identifier key of the storage account for vulnerability assessment scan results. If storage_container_sas_key isn't specified, storage_account_access_key is required.
    storageContainerSasKey string
    A shared access signature (SAS Key) that has write access to the blob container specified in storage_container_path parameter. If storage_account_access_key isn't specified, storage_container_sas_key is required.
    server_security_alert_policy_id str
    The id of the security alert policy of the MS SQL Server. Changing this forces a new resource to be created.
    storage_container_path str
    A blob storage container path to hold the scan results (e.g. https://myStorage.blob.core.windows.net/VaScans/).
    recurring_scans ServerVulnerabilityAssessmentRecurringScansArgs
    The recurring scans settings. The recurring_scans block supports fields documented below.
    storage_account_access_key str
    Specifies the identifier key of the storage account for vulnerability assessment scan results. If storage_container_sas_key isn't specified, storage_account_access_key is required.
    storage_container_sas_key str
    A shared access signature (SAS Key) that has write access to the blob container specified in storage_container_path parameter. If storage_account_access_key isn't specified, storage_container_sas_key is required.
    serverSecurityAlertPolicyId String
    The id of the security alert policy of the MS SQL Server. Changing this forces a new resource to be created.
    storageContainerPath String
    A blob storage container path to hold the scan results (e.g. https://myStorage.blob.core.windows.net/VaScans/).
    recurringScans Property Map
    The recurring scans settings. The recurring_scans block supports fields documented below.
    storageAccountAccessKey String
    Specifies the identifier key of the storage account for vulnerability assessment scan results. If storage_container_sas_key isn't specified, storage_account_access_key is required.
    storageContainerSasKey String
    A shared access signature (SAS Key) that has write access to the blob container specified in storage_container_path parameter. If storage_account_access_key isn't specified, storage_container_sas_key is required.

    Outputs

    All input properties are implicitly available as output properties. Additionally, the ServerVulnerabilityAssessment resource produces the following output properties:

    Id string
    The provider-assigned unique ID for this managed resource.
    Id string
    The provider-assigned unique ID for this managed resource.
    id String
    The provider-assigned unique ID for this managed resource.
    id string
    The provider-assigned unique ID for this managed resource.
    id str
    The provider-assigned unique ID for this managed resource.
    id String
    The provider-assigned unique ID for this managed resource.

    Look up Existing ServerVulnerabilityAssessment Resource

    Get an existing ServerVulnerabilityAssessment resource’s state with the given name, ID, and optional extra properties used to qualify the lookup.

    public static get(name: string, id: Input<ID>, state?: ServerVulnerabilityAssessmentState, opts?: CustomResourceOptions): ServerVulnerabilityAssessment
    @staticmethod
    def get(resource_name: str,
            id: str,
            opts: Optional[ResourceOptions] = None,
            recurring_scans: Optional[ServerVulnerabilityAssessmentRecurringScansArgs] = None,
            server_security_alert_policy_id: Optional[str] = None,
            storage_account_access_key: Optional[str] = None,
            storage_container_path: Optional[str] = None,
            storage_container_sas_key: Optional[str] = None) -> ServerVulnerabilityAssessment
    func GetServerVulnerabilityAssessment(ctx *Context, name string, id IDInput, state *ServerVulnerabilityAssessmentState, opts ...ResourceOption) (*ServerVulnerabilityAssessment, error)
    public static ServerVulnerabilityAssessment Get(string name, Input<string> id, ServerVulnerabilityAssessmentState? state, CustomResourceOptions? opts = null)
    public static ServerVulnerabilityAssessment get(String name, Output<String> id, ServerVulnerabilityAssessmentState state, CustomResourceOptions options)
    resources:  _:    type: azure:mssql:ServerVulnerabilityAssessment    get:      id: ${id}
    name
    The unique name of the resulting resource.
    id
    The unique provider ID of the resource to lookup.
    state
    Any extra arguments used during the lookup.
    opts
    A bag of options that control this resource's behavior.
    resource_name
    The unique name of the resulting resource.
    id
    The unique provider ID of the resource to lookup.
    name
    The unique name of the resulting resource.
    id
    The unique provider ID of the resource to lookup.
    state
    Any extra arguments used during the lookup.
    opts
    A bag of options that control this resource's behavior.
    name
    The unique name of the resulting resource.
    id
    The unique provider ID of the resource to lookup.
    state
    Any extra arguments used during the lookup.
    opts
    A bag of options that control this resource's behavior.
    name
    The unique name of the resulting resource.
    id
    The unique provider ID of the resource to lookup.
    state
    Any extra arguments used during the lookup.
    opts
    A bag of options that control this resource's behavior.
    The following state arguments are supported:
    RecurringScans ServerVulnerabilityAssessmentRecurringScans
    The recurring scans settings. The recurring_scans block supports fields documented below.
    ServerSecurityAlertPolicyId string
    The id of the security alert policy of the MS SQL Server. Changing this forces a new resource to be created.
    StorageAccountAccessKey string
    Specifies the identifier key of the storage account for vulnerability assessment scan results. If storage_container_sas_key isn't specified, storage_account_access_key is required.
    StorageContainerPath string
    A blob storage container path to hold the scan results (e.g. https://myStorage.blob.core.windows.net/VaScans/).
    StorageContainerSasKey string
    A shared access signature (SAS Key) that has write access to the blob container specified in storage_container_path parameter. If storage_account_access_key isn't specified, storage_container_sas_key is required.
    RecurringScans ServerVulnerabilityAssessmentRecurringScansArgs
    The recurring scans settings. The recurring_scans block supports fields documented below.
    ServerSecurityAlertPolicyId string
    The id of the security alert policy of the MS SQL Server. Changing this forces a new resource to be created.
    StorageAccountAccessKey string
    Specifies the identifier key of the storage account for vulnerability assessment scan results. If storage_container_sas_key isn't specified, storage_account_access_key is required.
    StorageContainerPath string
    A blob storage container path to hold the scan results (e.g. https://myStorage.blob.core.windows.net/VaScans/).
    StorageContainerSasKey string
    A shared access signature (SAS Key) that has write access to the blob container specified in storage_container_path parameter. If storage_account_access_key isn't specified, storage_container_sas_key is required.
    recurringScans ServerVulnerabilityAssessmentRecurringScans
    The recurring scans settings. The recurring_scans block supports fields documented below.
    serverSecurityAlertPolicyId String
    The id of the security alert policy of the MS SQL Server. Changing this forces a new resource to be created.
    storageAccountAccessKey String
    Specifies the identifier key of the storage account for vulnerability assessment scan results. If storage_container_sas_key isn't specified, storage_account_access_key is required.
    storageContainerPath String
    A blob storage container path to hold the scan results (e.g. https://myStorage.blob.core.windows.net/VaScans/).
    storageContainerSasKey String
    A shared access signature (SAS Key) that has write access to the blob container specified in storage_container_path parameter. If storage_account_access_key isn't specified, storage_container_sas_key is required.
    recurringScans ServerVulnerabilityAssessmentRecurringScans
    The recurring scans settings. The recurring_scans block supports fields documented below.
    serverSecurityAlertPolicyId string
    The id of the security alert policy of the MS SQL Server. Changing this forces a new resource to be created.
    storageAccountAccessKey string
    Specifies the identifier key of the storage account for vulnerability assessment scan results. If storage_container_sas_key isn't specified, storage_account_access_key is required.
    storageContainerPath string
    A blob storage container path to hold the scan results (e.g. https://myStorage.blob.core.windows.net/VaScans/).
    storageContainerSasKey string
    A shared access signature (SAS Key) that has write access to the blob container specified in storage_container_path parameter. If storage_account_access_key isn't specified, storage_container_sas_key is required.
    recurring_scans ServerVulnerabilityAssessmentRecurringScansArgs
    The recurring scans settings. The recurring_scans block supports fields documented below.
    server_security_alert_policy_id str
    The id of the security alert policy of the MS SQL Server. Changing this forces a new resource to be created.
    storage_account_access_key str
    Specifies the identifier key of the storage account for vulnerability assessment scan results. If storage_container_sas_key isn't specified, storage_account_access_key is required.
    storage_container_path str
    A blob storage container path to hold the scan results (e.g. https://myStorage.blob.core.windows.net/VaScans/).
    storage_container_sas_key str
    A shared access signature (SAS Key) that has write access to the blob container specified in storage_container_path parameter. If storage_account_access_key isn't specified, storage_container_sas_key is required.
    recurringScans Property Map
    The recurring scans settings. The recurring_scans block supports fields documented below.
    serverSecurityAlertPolicyId String
    The id of the security alert policy of the MS SQL Server. Changing this forces a new resource to be created.
    storageAccountAccessKey String
    Specifies the identifier key of the storage account for vulnerability assessment scan results. If storage_container_sas_key isn't specified, storage_account_access_key is required.
    storageContainerPath String
    A blob storage container path to hold the scan results (e.g. https://myStorage.blob.core.windows.net/VaScans/).
    storageContainerSasKey String
    A shared access signature (SAS Key) that has write access to the blob container specified in storage_container_path parameter. If storage_account_access_key isn't specified, storage_container_sas_key is required.

    Supporting Types

    ServerVulnerabilityAssessmentRecurringScans, ServerVulnerabilityAssessmentRecurringScansArgs

    EmailSubscriptionAdmins bool
    Boolean flag which specifies if the schedule scan notification will be sent to the subscription administrators. Defaults to false.
    Emails List<string>
    Specifies an array of e-mail addresses to which the scan notification is sent.
    Enabled bool
    Boolean flag which specifies if recurring scans is enabled or disabled. Defaults to false.
    EmailSubscriptionAdmins bool
    Boolean flag which specifies if the schedule scan notification will be sent to the subscription administrators. Defaults to false.
    Emails []string
    Specifies an array of e-mail addresses to which the scan notification is sent.
    Enabled bool
    Boolean flag which specifies if recurring scans is enabled or disabled. Defaults to false.
    emailSubscriptionAdmins Boolean
    Boolean flag which specifies if the schedule scan notification will be sent to the subscription administrators. Defaults to false.
    emails List<String>
    Specifies an array of e-mail addresses to which the scan notification is sent.
    enabled Boolean
    Boolean flag which specifies if recurring scans is enabled or disabled. Defaults to false.
    emailSubscriptionAdmins boolean
    Boolean flag which specifies if the schedule scan notification will be sent to the subscription administrators. Defaults to false.
    emails string[]
    Specifies an array of e-mail addresses to which the scan notification is sent.
    enabled boolean
    Boolean flag which specifies if recurring scans is enabled or disabled. Defaults to false.
    email_subscription_admins bool
    Boolean flag which specifies if the schedule scan notification will be sent to the subscription administrators. Defaults to false.
    emails Sequence[str]
    Specifies an array of e-mail addresses to which the scan notification is sent.
    enabled bool
    Boolean flag which specifies if recurring scans is enabled or disabled. Defaults to false.
    emailSubscriptionAdmins Boolean
    Boolean flag which specifies if the schedule scan notification will be sent to the subscription administrators. Defaults to false.
    emails List<String>
    Specifies an array of e-mail addresses to which the scan notification is sent.
    enabled Boolean
    Boolean flag which specifies if recurring scans is enabled or disabled. Defaults to false.

    Import

    MS SQL Server Vulnerability Assessment can be imported using the resource id, e.g.

     $ pulumi import azure:mssql/serverVulnerabilityAssessment:ServerVulnerabilityAssessment example /subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/acceptanceTestResourceGroup1/providers/Microsoft.Sql/servers/mssqlserver/vulnerabilityAssessments/Default
    

    To learn more about importing existing cloud resources, see Importing resources.

    Package Details

    Repository
    Azure Classic pulumi/pulumi-azure
    License
    Apache-2.0
    Notes
    This Pulumi package is based on the azurerm Terraform Provider.
    azure logo

    We recommend using Azure Native.

    Viewing docs for Azure v4.42.0 (Older version)
    published on Monday, Mar 9, 2026 by Pulumi

      Try Pulumi Cloud free.
      Your team will thank you.

      Start free trial